//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .c, for easier inclusion in a project

#ifdef __cplusplus
extern "C" {
#endif

#include "all_gfx.h"


// Sprite files : 
#include "Sprite1.c"
#include "Sprite2.c"
#include "Sprite3.c"
#include "Sprite4.c"
#include "Sprite5.c"
#include "Sprite6.c"
#include "Sprite7.c"
#include "Sprite9.c"
#include "chiffres.c"
#include "etincelles.c"
#include "sprite_bonus.c"
#include "evolution.c"
#include "evolution_champi.c"
#include "sprite_chien.c"
#include "sprite_plop.c"
#include "sprite_yeux.c"
#include "sprite_sac.c"

// Background files : 
#include "bg0.c"
#include "bg1.c"
#include "bg1_champignon.c"
#include "bg2.c"
#include "bg3.c"
#include "bg_haut.c"
#include "bg_haut_champignon.c"
#include "explication1.c"
#include "explication2.c"
#include "explication3.c"
#include "explication4.c"
#include "blabla.c"
#include "palib_inside.c"
#include "next_screen.c"
#include "mutation1_1.c"
#include "mutation1_2.c"
#include "mutation1_3.c"
#include "caca1.c"
#include "caca2.c"
#include "hein.c"
#include "banzai.c"
#include "explication_evolution.c"
#include "bravo_jeune_padawan.c"
#include "bravo_interim.c"
#include "bravo_interim2.c"
#include "screen_champi_1.c"
#include "screen_champi_2.c"
#include "screen_champi_3.c"
#include "compo_dev_fr_1.c"
#include "vrai_splash1.c"
#include "vrai_splash2.c"

// Palette files : 
#include "sprite1.pal.c"
#include "sprite2.pal.c"
#include "sprite3.pal.c"
#include "sprite4.pal.c"
#include "sprite5.pal.c"
#include "sprite6.pal.c"
#include "sprite7.pal.c"
#include "sprite9.pal.c"
#include "chiffres.pal.c"
#include "etincelles.pal.c"
#include "sprite_bonus.pal.c"
#include "evolution.pal.c"
#include "evolution_champi.pal.c"
#include "sprite_chien.pal.c"
#include "sprite_plop.pal.c"
#include "sprite_yeux.pal.c"
#include "sprite_sac.pal.c"
#include "bg0.pal.c"
#include "bg1.pal.c"
#include "bg1_champignon.pal.c"
#include "bg2.pal.c"
#include "bg3.pal.c"
#include "bg_haut.pal.c"
#include "bg_haut_champignon.pal.c"
#include "explication1.pal.c"
#include "explication2.pal.c"
#include "explication3.pal.c"
#include "explication4.pal.c"
#include "blabla.pal.c"
#include "palib_inside.pal.c"
#include "next_screen.pal.c"
#include "mutation1_1.pal.c"
#include "mutation1_2.pal.c"
#include "mutation1_3.pal.c"
#include "caca1.pal.c"
#include "caca2.pal.c"
#include "hein.pal.c"
#include "banzai.pal.c"
#include "explication_evolution.pal.c"
#include "bravo_jeune_padawan.pal.c"
#include "bravo_interim.pal.c"
#include "bravo_interim2.pal.c"
#include "screen_champi_1.pal.c"
#include "screen_champi_2.pal.c"
#include "screen_champi_3.pal.c"
#include "compo_dev_fr_1.pal.c"
#include "vrai_splash1.pal.c"
#include "vrai_splash2.pal.c"

// Background Pointers :
PAGfx_struct bg0 = {(void*)bg0_Map, 1024, (void*)bg0_Tiles, 12736, (void*)bg0_Pal, (int*)bg0_Info };
PAGfx_struct bg1 = {(void*)bg1_Map, 1024, (void*)bg1_Tiles, 48000, (void*)bg1_Pal, (int*)bg1_Info };
PAGfx_struct bg1_champignon = {(void*)bg1_champignon_Map, 1024, (void*)bg1_champignon_Tiles, 48128, (void*)bg1_champignon_Pal, (int*)bg1_champignon_Info };
PAGfx_struct bg2 = {(void*)bg2_Map, 1024, (void*)bg2_Tiles, 1664, (void*)bg2_Pal, (int*)bg2_Info };
PAGfx_struct bg3 = {(void*)bg3_Map, 1024, (void*)bg3_Tiles, 320, (void*)bg3_Pal, (int*)bg3_Info };
PAGfx_struct bg_haut = {(void*)bg_haut_Map, 1024, (void*)bg_haut_Tiles, 29120, (void*)bg_haut_Pal, (int*)bg_haut_Info };
PAGfx_struct bg_haut_champignon = {(void*)bg_haut_champignon_Map, 1024, (void*)bg_haut_champignon_Tiles, 32064, (void*)bg_haut_champignon_Pal, (int*)bg_haut_champignon_Info };
PAGfx_struct explication1 = {(void*)explication1_Map, 1024, (void*)explication1_Tiles, 38848, (void*)explication1_Pal, (int*)explication1_Info };
PAGfx_struct explication2 = {(void*)explication2_Map, 1024, (void*)explication2_Tiles, 37120, (void*)explication2_Pal, (int*)explication2_Info };
PAGfx_struct explication3 = {(void*)explication3_Map, 1024, (void*)explication3_Tiles, 40448, (void*)explication3_Pal, (int*)explication3_Info };
PAGfx_struct explication4 = {(void*)explication4_Map, 1024, (void*)explication4_Tiles, 39296, (void*)explication4_Pal, (int*)explication4_Info };
PAGfx_struct blabla = {(void*)blabla_Map, 2048, (void*)blabla_Tiles, 55488, (void*)blabla_Pal, (int*)blabla_Info };
PAGfx_struct palib_inside = {(void*)palib_inside_Map, 1024, (void*)palib_inside_Tiles, 23552, (void*)palib_inside_Pal, (int*)palib_inside_Info };
PAGfx_struct next_screen = {(void*)next_screen_Map, 1024, (void*)next_screen_Tiles, 9600, (void*)next_screen_Pal, (int*)next_screen_Info };
PAGfx_struct mutation1_1 = {(void*)mutation1_1_Map, 1024, (void*)mutation1_1_Tiles, 5120, (void*)mutation1_1_Pal, (int*)mutation1_1_Info };
PAGfx_struct mutation1_2 = {(void*)mutation1_2_Map, 1024, (void*)mutation1_2_Tiles, 8064, (void*)mutation1_2_Pal, (int*)mutation1_2_Info };
PAGfx_struct mutation1_3 = {(void*)mutation1_3_Map, 1024, (void*)mutation1_3_Tiles, 10496, (void*)mutation1_3_Pal, (int*)mutation1_3_Info };
PAGfx_struct caca1 = {(void*)caca1_Map, 1024, (void*)caca1_Tiles, 24320, (void*)caca1_Pal, (int*)caca1_Info };
PAGfx_struct caca2 = {(void*)caca2_Map, 1024, (void*)caca2_Tiles, 29184, (void*)caca2_Pal, (int*)caca2_Info };
PAGfx_struct hein = {(void*)hein_Map, 1024, (void*)hein_Tiles, 42368, (void*)hein_Pal, (int*)hein_Info };
PAGfx_struct banzai = {(void*)banzai_Map, 1024, (void*)banzai_Tiles, 33088, (void*)banzai_Pal, (int*)banzai_Info };
PAGfx_struct explication_evolution = {(void*)explication_evolution_Map, 1024, (void*)explication_evolution_Tiles, 24128, (void*)explication_evolution_Pal, (int*)explication_evolution_Info };
PAGfx_struct bravo_jeune_padawan = {(void*)bravo_jeune_padawan_Map, 1024, (void*)bravo_jeune_padawan_Tiles, 30400, (void*)bravo_jeune_padawan_Pal, (int*)bravo_jeune_padawan_Info };
PAGfx_struct bravo_interim = {(void*)bravo_interim_Map, 1024, (void*)bravo_interim_Tiles, 25984, (void*)bravo_interim_Pal, (int*)bravo_interim_Info };
PAGfx_struct bravo_interim2 = {(void*)bravo_interim2_Map, 1024, (void*)bravo_interim2_Tiles, 19520, (void*)bravo_interim2_Pal, (int*)bravo_interim2_Info };
PAGfx_struct screen_champi_1 = {(void*)screen_champi_1_Map, 768, (void*)screen_champi_1_Tiles, 41536, (void*)screen_champi_1_Pal, (int*)screen_champi_1_Info };
PAGfx_struct screen_champi_2 = {(void*)screen_champi_2_Map, 768, (void*)screen_champi_2_Tiles, 42304, (void*)screen_champi_2_Pal, (int*)screen_champi_2_Info };
PAGfx_struct screen_champi_3 = {(void*)screen_champi_3_Map, 768, (void*)screen_champi_3_Tiles, 46336, (void*)screen_champi_3_Pal, (int*)screen_champi_3_Info };
PAGfx_struct compo_dev_fr_1 = {(void*)compo_dev_fr_1_Map, 768, (void*)compo_dev_fr_1_Tiles, 27392, (void*)compo_dev_fr_1_Pal, (int*)compo_dev_fr_1_Info };
PAGfx_struct vrai_splash1 = {(void*)vrai_splash1_Map, 768, (void*)vrai_splash1_Tiles, 45568, (void*)vrai_splash1_Pal, (int*)vrai_splash1_Info };
PAGfx_struct vrai_splash2 = {(void*)vrai_splash2_Map, 768, (void*)vrai_splash2_Tiles, 48256, (void*)vrai_splash2_Pal, (int*)vrai_splash2_Info };


#ifdef __cplusplus
}
#endif

