//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files : 
extern const unsigned char Sprite1_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite1_Pal
extern const unsigned char Sprite2_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite2_Pal
extern const unsigned char Sprite3_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite3_Pal
extern const unsigned char Sprite4_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite4_Pal
extern const unsigned char Sprite5_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite5_Pal
extern const unsigned char Sprite6_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite6_Pal
extern const unsigned char Sprite7_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite7_Pal
extern const unsigned char Sprite9_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite9_Pal
extern const unsigned char chiffres_Sprite[10240] __attribute__ ((aligned (4))) ;  // Pal : chiffres_Pal
extern const unsigned char etincelles_Sprite[10240] __attribute__ ((aligned (4))) ;  // Pal : etincelles_Pal
extern const unsigned char sprite_bonus_Sprite[16384] __attribute__ ((aligned (4))) ;  // Pal : sprite_bonus_Pal
extern const unsigned char evolution_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : evolution_Pal
extern const unsigned char evolution_champi_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : evolution_champi_Pal
extern const unsigned char sprite_chien_Sprite[24576] __attribute__ ((aligned (4))) ;  // Pal : sprite_chien_Pal
extern const unsigned char sprite_plop_Sprite[57344] __attribute__ ((aligned (4))) ;  // Pal : sprite_plop_Pal
extern const unsigned char sprite_yeux_Sprite[8192] __attribute__ ((aligned (4))) ;  // Pal : sprite_yeux_Pal
extern const unsigned char sprite_sac_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : sprite_sac_Pal

// Background files : 
extern const int bg0_Info[3]; // BgMode, Width, Height
extern const unsigned short bg0_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg0_Pal
extern const unsigned char bg0_Tiles[12736] __attribute__ ((aligned (4))) ;  // Pal : bg0_Pal
extern PAGfx_struct bg0; // background pointer

extern const int bg1_Info[3]; // BgMode, Width, Height
extern const unsigned short bg1_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg1_Pal
extern const unsigned char bg1_Tiles[48000] __attribute__ ((aligned (4))) ;  // Pal : bg1_Pal
extern PAGfx_struct bg1; // background pointer

extern const int bg1_champignon_Info[3]; // BgMode, Width, Height
extern const unsigned short bg1_champignon_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg1_champignon_Pal
extern const unsigned char bg1_champignon_Tiles[48128] __attribute__ ((aligned (4))) ;  // Pal : bg1_champignon_Pal
extern PAGfx_struct bg1_champignon; // background pointer

extern const int bg2_Info[3]; // BgMode, Width, Height
extern const unsigned short bg2_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg2_Pal
extern const unsigned char bg2_Tiles[1664] __attribute__ ((aligned (4))) ;  // Pal : bg2_Pal
extern PAGfx_struct bg2; // background pointer

extern const int bg3_Info[3]; // BgMode, Width, Height
extern const unsigned short bg3_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg3_Pal
extern const unsigned char bg3_Tiles[320] __attribute__ ((aligned (4))) ;  // Pal : bg3_Pal
extern PAGfx_struct bg3; // background pointer

extern const int bg_haut_Info[3]; // BgMode, Width, Height
extern const unsigned short bg_haut_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg_haut_Pal
extern const unsigned char bg_haut_Tiles[29120] __attribute__ ((aligned (4))) ;  // Pal : bg_haut_Pal
extern PAGfx_struct bg_haut; // background pointer

extern const int bg_haut_champignon_Info[3]; // BgMode, Width, Height
extern const unsigned short bg_haut_champignon_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg_haut_champignon_Pal
extern const unsigned char bg_haut_champignon_Tiles[32064] __attribute__ ((aligned (4))) ;  // Pal : bg_haut_champignon_Pal
extern PAGfx_struct bg_haut_champignon; // background pointer

extern const int explication1_Info[3]; // BgMode, Width, Height
extern const unsigned short explication1_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : explication1_Pal
extern const unsigned char explication1_Tiles[38848] __attribute__ ((aligned (4))) ;  // Pal : explication1_Pal
extern PAGfx_struct explication1; // background pointer

extern const int explication2_Info[3]; // BgMode, Width, Height
extern const unsigned short explication2_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : explication2_Pal
extern const unsigned char explication2_Tiles[37120] __attribute__ ((aligned (4))) ;  // Pal : explication2_Pal
extern PAGfx_struct explication2; // background pointer

extern const int explication3_Info[3]; // BgMode, Width, Height
extern const unsigned short explication3_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : explication3_Pal
extern const unsigned char explication3_Tiles[40448] __attribute__ ((aligned (4))) ;  // Pal : explication3_Pal
extern PAGfx_struct explication3; // background pointer

extern const int explication4_Info[3]; // BgMode, Width, Height
extern const unsigned short explication4_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : explication4_Pal
extern const unsigned char explication4_Tiles[39296] __attribute__ ((aligned (4))) ;  // Pal : explication4_Pal
extern PAGfx_struct explication4; // background pointer

extern const int blabla_Info[3]; // BgMode, Width, Height
extern const unsigned short blabla_Map[2048] __attribute__ ((aligned (4))) ;  // Pal : blabla_Pal
extern const unsigned char blabla_Tiles[55488] __attribute__ ((aligned (4))) ;  // Pal : blabla_Pal
extern PAGfx_struct blabla; // background pointer

extern const int palib_inside_Info[3]; // BgMode, Width, Height
extern const unsigned short palib_inside_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : palib_inside_Pal
extern const unsigned char palib_inside_Tiles[23552] __attribute__ ((aligned (4))) ;  // Pal : palib_inside_Pal
extern PAGfx_struct palib_inside; // background pointer

extern const int next_screen_Info[3]; // BgMode, Width, Height
extern const unsigned short next_screen_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : next_screen_Pal
extern const unsigned char next_screen_Tiles[9600] __attribute__ ((aligned (4))) ;  // Pal : next_screen_Pal
extern PAGfx_struct next_screen; // background pointer

extern const int mutation1_1_Info[3]; // BgMode, Width, Height
extern const unsigned short mutation1_1_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : mutation1_1_Pal
extern const unsigned char mutation1_1_Tiles[5120] __attribute__ ((aligned (4))) ;  // Pal : mutation1_1_Pal
extern PAGfx_struct mutation1_1; // background pointer

extern const int mutation1_2_Info[3]; // BgMode, Width, Height
extern const unsigned short mutation1_2_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : mutation1_2_Pal
extern const unsigned char mutation1_2_Tiles[8064] __attribute__ ((aligned (4))) ;  // Pal : mutation1_2_Pal
extern PAGfx_struct mutation1_2; // background pointer

extern const int mutation1_3_Info[3]; // BgMode, Width, Height
extern const unsigned short mutation1_3_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : mutation1_3_Pal
extern const unsigned char mutation1_3_Tiles[10496] __attribute__ ((aligned (4))) ;  // Pal : mutation1_3_Pal
extern PAGfx_struct mutation1_3; // background pointer

extern const int caca1_Info[3]; // BgMode, Width, Height
extern const unsigned short caca1_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : caca1_Pal
extern const unsigned char caca1_Tiles[24320] __attribute__ ((aligned (4))) ;  // Pal : caca1_Pal
extern PAGfx_struct caca1; // background pointer

extern const int caca2_Info[3]; // BgMode, Width, Height
extern const unsigned short caca2_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : caca2_Pal
extern const unsigned char caca2_Tiles[29184] __attribute__ ((aligned (4))) ;  // Pal : caca2_Pal
extern PAGfx_struct caca2; // background pointer

extern const int hein_Info[3]; // BgMode, Width, Height
extern const unsigned short hein_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : hein_Pal
extern const unsigned char hein_Tiles[42368] __attribute__ ((aligned (4))) ;  // Pal : hein_Pal
extern PAGfx_struct hein; // background pointer

extern const int banzai_Info[3]; // BgMode, Width, Height
extern const unsigned short banzai_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : banzai_Pal
extern const unsigned char banzai_Tiles[33088] __attribute__ ((aligned (4))) ;  // Pal : banzai_Pal
extern PAGfx_struct banzai; // background pointer

extern const int explication_evolution_Info[3]; // BgMode, Width, Height
extern const unsigned short explication_evolution_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : explication_evolution_Pal
extern const unsigned char explication_evolution_Tiles[24128] __attribute__ ((aligned (4))) ;  // Pal : explication_evolution_Pal
extern PAGfx_struct explication_evolution; // background pointer

extern const int bravo_jeune_padawan_Info[3]; // BgMode, Width, Height
extern const unsigned short bravo_jeune_padawan_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bravo_jeune_padawan_Pal
extern const unsigned char bravo_jeune_padawan_Tiles[30400] __attribute__ ((aligned (4))) ;  // Pal : bravo_jeune_padawan_Pal
extern PAGfx_struct bravo_jeune_padawan; // background pointer

extern const int bravo_interim_Info[3]; // BgMode, Width, Height
extern const unsigned short bravo_interim_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bravo_interim_Pal
extern const unsigned char bravo_interim_Tiles[25984] __attribute__ ((aligned (4))) ;  // Pal : bravo_interim_Pal
extern PAGfx_struct bravo_interim; // background pointer

extern const int bravo_interim2_Info[3]; // BgMode, Width, Height
extern const unsigned short bravo_interim2_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bravo_interim2_Pal
extern const unsigned char bravo_interim2_Tiles[19520] __attribute__ ((aligned (4))) ;  // Pal : bravo_interim2_Pal
extern PAGfx_struct bravo_interim2; // background pointer

extern const int screen_champi_1_Info[3]; // BgMode, Width, Height
extern const unsigned short screen_champi_1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_1_Pal
extern const unsigned char screen_champi_1_Tiles[41536] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_1_Pal
extern PAGfx_struct screen_champi_1; // background pointer

extern const int screen_champi_2_Info[3]; // BgMode, Width, Height
extern const unsigned short screen_champi_2_Map[768] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_2_Pal
extern const unsigned char screen_champi_2_Tiles[42304] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_2_Pal
extern PAGfx_struct screen_champi_2; // background pointer

extern const int screen_champi_3_Info[3]; // BgMode, Width, Height
extern const unsigned short screen_champi_3_Map[768] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_3_Pal
extern const unsigned char screen_champi_3_Tiles[46336] __attribute__ ((aligned (4))) ;  // Pal : screen_champi_3_Pal
extern PAGfx_struct screen_champi_3; // background pointer

extern const int compo_dev_fr_1_Info[3]; // BgMode, Width, Height
extern const unsigned short compo_dev_fr_1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : compo_dev_fr_1_Pal
extern const unsigned char compo_dev_fr_1_Tiles[27392] __attribute__ ((aligned (4))) ;  // Pal : compo_dev_fr_1_Pal
extern PAGfx_struct compo_dev_fr_1; // background pointer

extern const int vrai_splash1_Info[3]; // BgMode, Width, Height
extern const unsigned short vrai_splash1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : vrai_splash1_Pal
extern const unsigned char vrai_splash1_Tiles[45568] __attribute__ ((aligned (4))) ;  // Pal : vrai_splash1_Pal
extern PAGfx_struct vrai_splash1; // background pointer

extern const int vrai_splash2_Info[3]; // BgMode, Width, Height
extern const unsigned short vrai_splash2_Map[768] __attribute__ ((aligned (4))) ;  // Pal : vrai_splash2_Pal
extern const unsigned char vrai_splash2_Tiles[48256] __attribute__ ((aligned (4))) ;  // Pal : vrai_splash2_Pal
extern PAGfx_struct vrai_splash2; // background pointer


// Palette files : 
extern const unsigned short sprite1_Pal[49] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite2_Pal[18] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite3_Pal[19] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite4_Pal[17] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite5_Pal[34] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite6_Pal[18] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite7_Pal[19] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite9_Pal[1] __attribute__ ((aligned (4))) ;
extern const unsigned short chiffres_Pal[66] __attribute__ ((aligned (4))) ;
extern const unsigned short etincelles_Pal[2] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite_bonus_Pal[226] __attribute__ ((aligned (4))) ;
extern const unsigned short evolution_Pal[5] __attribute__ ((aligned (4))) ;
extern const unsigned short evolution_champi_Pal[6] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite_chien_Pal[105] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite_plop_Pal[178] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite_yeux_Pal[17] __attribute__ ((aligned (4))) ;
extern const unsigned short sprite_sac_Pal[14] __attribute__ ((aligned (4))) ;
extern const unsigned short bg0_Pal[193] __attribute__ ((aligned (4))) ;
extern const unsigned short bg1_Pal[129] __attribute__ ((aligned (4))) ;
extern const unsigned short bg1_champignon_Pal[217] __attribute__ ((aligned (4))) ;
extern const unsigned short bg2_Pal[7] __attribute__ ((aligned (4))) ;
extern const unsigned short bg3_Pal[5] __attribute__ ((aligned (4))) ;
extern const unsigned short bg_haut_Pal[238] __attribute__ ((aligned (4))) ;
extern const unsigned short bg_haut_champignon_Pal[243] __attribute__ ((aligned (4))) ;
extern const unsigned short explication1_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short explication2_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short explication3_Pal[250] __attribute__ ((aligned (4))) ;
extern const unsigned short explication4_Pal[221] __attribute__ ((aligned (4))) ;
extern const unsigned short blabla_Pal[29] __attribute__ ((aligned (4))) ;
extern const unsigned short palib_inside_Pal[159] __attribute__ ((aligned (4))) ;
extern const unsigned short next_screen_Pal[143] __attribute__ ((aligned (4))) ;
extern const unsigned short mutation1_1_Pal[17] __attribute__ ((aligned (4))) ;
extern const unsigned short mutation1_2_Pal[54] __attribute__ ((aligned (4))) ;
extern const unsigned short mutation1_3_Pal[53] __attribute__ ((aligned (4))) ;
extern const unsigned short caca1_Pal[167] __attribute__ ((aligned (4))) ;
extern const unsigned short caca2_Pal[170] __attribute__ ((aligned (4))) ;
extern const unsigned short hein_Pal[167] __attribute__ ((aligned (4))) ;
extern const unsigned short banzai_Pal[234] __attribute__ ((aligned (4))) ;
extern const unsigned short explication_evolution_Pal[32] __attribute__ ((aligned (4))) ;
extern const unsigned short bravo_jeune_padawan_Pal[29] __attribute__ ((aligned (4))) ;
extern const unsigned short bravo_interim_Pal[29] __attribute__ ((aligned (4))) ;
extern const unsigned short bravo_interim2_Pal[29] __attribute__ ((aligned (4))) ;
extern const unsigned short screen_champi_1_Pal[175] __attribute__ ((aligned (4))) ;
extern const unsigned short screen_champi_2_Pal[194] __attribute__ ((aligned (4))) ;
extern const unsigned short screen_champi_3_Pal[208] __attribute__ ((aligned (4))) ;
extern const unsigned short compo_dev_fr_1_Pal[204] __attribute__ ((aligned (4))) ;
extern const unsigned short vrai_splash1_Pal[199] __attribute__ ((aligned (4))) ;
extern const unsigned short vrai_splash2_Pal[201] __attribute__ ((aligned (4))) ;


#endif

